Bug 122221 - 64bit gaim fails yahoo login
64bit gaim fails yahoo login
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-05-02 05:41 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-05 00:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ethereal .cap of successful yahoo login on a i386 system (3.15 KB, application/octet-stream)
2004-05-02 21:00 EDT, Karen Spearel
no flags Details
this is an ethereal .cap of an unsuccessful yahoo login on an x86_64 system (3.13 KB, application/octet-stream)
2004-05-02 21:03 EDT, Karen Spearel
no flags Details

  None (edit)
Description Warren Togami 2004-05-02 05:41:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040418 Firefox/0.8

Description of problem:
gaim when running on 64bit archs fails yahoo authentication on 64bit
architectures like x86-64, but works on i386 and ppc32.  When a login
fails, it reports that the password was incorrect.

Version-Release number of selected component (if applicable):
gaim-0.77-3
Comment 1 Karen Spearel 2004-05-02 21:00:19 EDT
Created attachment 99892 [details]
ethereal .cap of successful yahoo login on a i386 system

this is an ethereal .cap of a successful i386 logon (password has been
temporarily changed at yahoo for security reasons)
Comment 2 Karen Spearel 2004-05-02 21:03:54 EDT
Created attachment 99893 [details]
this is an ethereal .cap of an unsuccessful yahoo login on an x86_64 system

this is a failed yahoo login attempt on a x86_64 system.  The password has been
temporarily changed at yahoo for security purposes but is the same as the i386
.cap
Comment 3 Karen Spearel 2004-05-02 21:08:10 EDT
can supply further data as needed
Comment 4 Karen Spearel 2004-05-02 21:13:16 EDT
something, perhaps about the attachments, made bugzilla very
mad...they were only a little over 3k apiece...complained about
insufficient disk space.  Can send them directly on request.
Comment 5 Karen Spearel 2004-05-04 02:49:06 EDT
I guess it is understood that resp_6 and resp_96 have differing values
for the i386 (successful login) and x86_64 (fails with unknown status)
so there is something broken in yahoo_process_auth_new...I guess I
don't get to hand the ball off to someone else to figure out what/where
Comment 6 Warren Togami 2004-05-04 03:02:09 EDT
grim in #gaim found the problem in src/sha.*, which was improperly
using an unsigned long.  He is cleaning up some 64bit compiler
warnings, then we are testing it on all archs (i386, ppc, x86-64)
before issuing the package update.  I may post test packages here in a
few hours.
Comment 7 Warren Togami 2004-05-04 04:55:52 EDT
http://people.redhat.com/wtogami/temp/

Please test the gaim-0.77-4 builds here, which should fix yahoo
authentication on x86-64.  Please test it for an extended period of
time on i386 and ppc too to make sure we did not break anything by
accident.
Comment 8 Warren Togami 2004-05-05 00:12:57 EDT
gaim-0.77-4 -5 and -6 are fixed, should hit rawhide tomorrow.

Note You need to log in before you can comment on or make changes to this bug.